SuccessConsole Output

Started by GitHub push by pcm32
Started by GitHub push by pcm32
[EnvInject] - Loading node environment variables.
Building remotely on docker-packer-ansible (ansible docker) in workspace /home/ubuntu/workspace/container-nmrml2isa
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://github.com/phnmnl/container-nmrml2isa # timeout=10
Fetching upstream changes from https://github.com/phnmnl/container-nmrml2isa
 > git --version # timeout=10
 > git fetch --tags --progress https://github.com/phnmnl/container-nmrml2isa +refs/heads/*:refs/remotes/origin/*
Seen branch in repository origin/develop
Seen branch in repository origin/master
Seen 2 remote branches
Checking out Revision 9fe58319f7b80b497d16362bc7b585c0e00514e9 (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 9fe58319f7b80b497d16362bc7b585c0e00514e9
 > git branch -a -v --no-abbrev # timeout=10
 > git checkout -b master 9fe58319f7b80b497d16362bc7b585c0e00514e9
 > git rev-list 9965dc2344deac5a1bc70e1207d1a38692bb3d56 # timeout=10
Run condition [Strings match] enabling prebuild for step [BuilderChain]
[EnvInject] - Executing scripts and injecting environment variables after the SCM step.
[EnvInject] - Injecting as environment variables the properties content 
CONTAINER=nmrml2isa

[EnvInject] - Variables injected successfully.
[container-nmrml2isa] $ /bin/bash -xe /tmp/jenkins2188771224851966429.sh
+ wget -O make-versions-file https://raw.githubusercontent.com/phnmnl/jenkins-scripts/master/make-versions-file
--2018-02-26 21:51:09--  https://raw.githubusercontent.com/phnmnl/jenkins-scripts/master/make-versions-file
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.0.133, 151.101.64.133, 151.101.128.133, ...
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.0.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 5705 (5.6K) [text/plain]
Saving to: ‘make-versions-file’

     0K .....                                                 100% 29.9M=0s

2018-02-26 21:51:09 (29.9 MB/s) - ‘make-versions-file’ saved [5705/5705]

+ bash make-versions-file -ggtb
DEBUG: Arguments are : -ggtb
DEBUG: Looking for variable TOOL_VERSION...
DEBUG: Trying variable name TOOL_VERSION...
DEBUG: Trying command ENV...
DEBUG: Trying command LABEL...
DEBUG: Trying variable name software.version...
DEBUG: Trying command ENV...
DEBUG: Trying command LABEL...
DEBUG: Found line "LABEL software.version=0.3.0" for variable TOOL_VERSION.
DEBUG: Replaced variable name: "LABEL TOOL_VERSION=0.3.0".
DEBUG: New version variable definition: TOOL_VERSION=0.3.0
DEBUG: Looking for variable CONTAINER_VERSION...
DEBUG: Trying variable name CONTAINER_VERSION...
DEBUG: Trying command ENV...
DEBUG: Trying command LABEL...
DEBUG: Trying variable name version...
DEBUG: Trying command ENV...
DEBUG: Trying command LABEL...
DEBUG: Found line "LABEL version=0.2" for variable CONTAINER_VERSION.
DEBUG: Replaced variable name: "LABEL CONTAINER_VERSION=0.2".
DEBUG: New version variable definition: CONTAINER_VERSION=0.2
DEBUG: Sourcing written file "PhenoMeNal_Versions.txt"...
DEBUG: TOOL_VERSION=0.3.0
DEBUG: CONTAINER_VERSION=0.2
DEBUG: Looking for git branch...
DEBUG: Found git as "/usr/bin/git".
DEBUG: Current git branch is "master".
DEBUG: CONTAINER_TAG_PREFIX=v0.3.0_cv0.2
[EnvInject] - Injecting environment variables from a build step.
[EnvInject] - Injecting as environment variables the properties file path 'PhenoMeNal_Versions.txt'
[EnvInject] - Variables injected successfully.
[container-nmrml2isa] $ docker build -t docker-registry-v2.local:30750/phnmnl/nmrml2isa:v0.3.0_cv0.2.12 --no-cache=true --pull=true /home/ubuntu/workspace/container-nmrml2isa
Sending build context to Docker daemon  185.3kB

Step 1/16 : FROM ubuntu:16.04
16.04: Pulling from library/ubuntu
1be7f2b886e8: Pulling fs layer
6fbc4a21b806: Pulling fs layer
c71a6f8e1378: Pulling fs layer
4be3072e5a37: Pulling fs layer
06c6d2f59700: Pulling fs layer
4be3072e5a37: Waiting
06c6d2f59700: Waiting
6fbc4a21b806: Verifying Checksum
6fbc4a21b806: Download complete
c71a6f8e1378: Verifying Checksum
c71a6f8e1378: Download complete
4be3072e5a37: Verifying Checksum
4be3072e5a37: Download complete
06c6d2f59700: Download complete
1be7f2b886e8: Download complete
1be7f2b886e8: Pull complete
6fbc4a21b806: Pull complete
c71a6f8e1378: Pull complete
4be3072e5a37: Pull complete
06c6d2f59700: Pull complete
Digest: sha256:e27e9d7f7f28d67aa9e2d7540bdc2b33254b452ee8e60f388875e5b7d9b2b696
Status: Downloaded newer image for ubuntu:16.04
 ---> 0458a4468cbc
Step 2/16 : LABEL maintainer "PhenoMeNal-H2020 Project (phenomenal-h2020-users@googlegroups.com)"
 ---> Running in 8771884d6e73
 ---> 3735aa67a1fc
Removing intermediate container 8771884d6e73
Step 3/16 : LABEL version 0.2
 ---> Running in be5c163fec8e
 ---> 03480eee4a73
Removing intermediate container be5c163fec8e
Step 4/16 : LABEL software nmrml2isa
 ---> Running in b05300918b28
 ---> 6f24f2077492
Removing intermediate container b05300918b28
Step 5/16 : LABEL software.version 0.3.0
 ---> Running in a4e7a714f01d
 ---> f4608ca4ebdc
Removing intermediate container a4e7a714f01d
Step 6/16 : LABEL description "Creates ISA metadata files based on a collection of nmrML files."
 ---> Running in 5172a4379610
 ---> a36e58db1c66
Removing intermediate container 5172a4379610
Step 7/16 : LABEL website "https://github.com/isa-tools/nmrml2isa"
 ---> Running in e2a9f5230f3d
 ---> 48d8398da40e
Removing intermediate container e2a9f5230f3d
Step 8/16 : LABEL documentation "https://github.com/isa-tools/nmrml2isa-galaxy"
 ---> Running in d02b15d5890d
 ---> 5a4b707be751
Removing intermediate container d02b15d5890d
Step 9/16 : LABEL license "https://github.com/ISA-tools/nmrml2isa/blob/master/LICENSE"
 ---> Running in 2db36811a077
 ---> 987dcdee6d00
Removing intermediate container 2db36811a077
Step 10/16 : LABEL tags "Metabolomics"
 ---> Running in c465122aefc8
 ---> d2051a51e95f
Removing intermediate container c465122aefc8
Step 11/16 : RUN apt-get -y update && apt-get -y install --no-install-recommends python-pip &&     pip install --upgrade pip && pip install -U setuptools && pip install six &&     pip install nmrml2isa==0.3.0 &&     pip uninstall -y pip &&     apt-get purge -y python-pip &&     apt-get install --no-install-recommends python &&     apt-get autoremove -y && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
 ---> Running in 183a112af12e
Get:1 http://archive.ubuntu.com/ubuntu xenial InRelease [247 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial/universe Sources [9802 kB]
Get:5 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Get:6 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1558 kB]
Get:7 http://archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [14.1 kB]
Get:8 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [9827 kB]
Get:9 http://archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [176 kB]
Get:10 http://archive.ubuntu.com/ubuntu xenial-updates/universe Sources [240 kB]
Get:11 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [951 kB]
Get:12 http://archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [13.1 kB]
Get:13 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [760 kB]
Get:14 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [18.5 kB]
Get:15 http://archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [5153 B]
Get:16 http://archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [7172 B]
Get:17 http://security.ubuntu.com/ubuntu xenial-security/universe Sources [72.8 kB]
Get:18 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [584 kB]
Get:19 http://security.ubuntu.com/ubuntu xenial-security/restricted amd64 Packages [12.7 kB]
Get:20 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [403 kB]
Get:21 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [3486 B]
Fetched 25.0 MB in 2s (12.3 MB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  ca-certificates libexpat1 libffi6 libpython-stdlib libpython2.7-minimal
  libpython2.7-stdlib libsqlite3-0 libssl1.0.0 mime-support openssl python
  python-minimal python-pip-whl python2.7 python2.7-minimal
Suggested packages:
  python-doc python-tk python2.7-doc binutils binfmt-support
Recommended packages:
  file build-essential python-all-dev python-setuptools python-wheel
The following NEW packages will be installed:
  ca-certificates libexpat1 libffi6 libpython-stdlib libpython2.7-minimal
  libpython2.7-stdlib libsqlite3-0 libssl1.0.0 mime-support openssl python
  python-minimal python-pip python-pip-whl python2.7 python2.7-minimal
0 upgraded, 16 newly installed, 0 to remove and 21 not upgraded.
Need to get 7390 kB of archives.
After this operation, 24.8 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libpython2.7-minimal amd64 2.7.12-1ubuntu0~16.04.3 [340 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 python2.7-minimal amd64 2.7.12-1ubuntu0~16.04.3 [1261 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 python-minimal amd64 2.7.12-1~16.04 [28.1 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial/main amd64 mime-support all 3.59ubuntu1 [31.0 kB]
Get:5 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libexpat1 amd64 2.1.0-7ubuntu0.16.04.3 [71.2 kB]
Get:6 http://archive.ubuntu.com/ubuntu xenial/main amd64 libffi6 amd64 3.2.1-4 [17.8 kB]
Get:7 http://archive.ubuntu.com/ubuntu xenial/main amd64 libsqlite3-0 amd64 3.11.0-1ubuntu1 [396 kB]
Get:8 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libssl1.0.0 amd64 1.0.2g-1ubuntu4.10 [1083 kB]
Get:9 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libpython2.7-stdlib amd64 2.7.12-1ubuntu0~16.04.3 [1880 kB]
Get:10 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 python2.7 amd64 2.7.12-1ubuntu0~16.04.3 [224 kB]
Get:11 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libpython-stdlib amd64 2.7.12-1~16.04 [7768 B]
Get:12 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 python amd64 2.7.12-1~16.04 [137 kB]
Get:13 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 openssl amd64 1.0.2g-1ubuntu4.10 [492 kB]
Get:14 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 ca-certificates all 20170717~16.04.1 [168 kB]
Get:15 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 python-pip-whl all 8.1.1-2ubuntu0.4 [1110 kB]
Get:16 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 python-pip all 8.1.1-2ubuntu0.4 [144 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 7390 kB in 0s (49.5 MB/s)
Selecting previously unselected package libpython2.7-minimal:amd64.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 4768 files and directories currently installed.)
Preparing to unpack .../libpython2.7-minimal_2.7.12-1ubuntu0~16.04.3_amd64.deb ...
Unpacking libpython2.7-minimal:amd64 (2.7.12-1ubuntu0~16.04.3) ...
Selecting previously unselected package python2.7-minimal.
Preparing to unpack .../python2.7-minimal_2.7.12-1ubuntu0~16.04.3_amd64.deb ...
Unpacking python2.7-minimal (2.7.12-1ubuntu0~16.04.3) ...
Selecting previously unselected package python-minimal.
Preparing to unpack .../python-minimal_2.7.12-1~16.04_amd64.deb ...
Unpacking python-minimal (2.7.12-1~16.04) ...
Selecting previously unselected package mime-support.
Preparing to unpack .../mime-support_3.59ubuntu1_all.deb ...
Unpacking mime-support (3.59ubuntu1) ...
Selecting previously unselected package libexpat1:amd64.
Preparing to unpack .../libexpat1_2.1.0-7ubuntu0.16.04.3_amd64.deb ...
Unpacking libexpat1:amd64 (2.1.0-7ubuntu0.16.04.3) ...
Selecting previously unselected package libffi6:amd64.
Preparing to unpack .../libffi6_3.2.1-4_amd64.deb ...
Unpacking libffi6:amd64 (3.2.1-4) ...
Selecting previously unselected package libsqlite3-0:amd64.
Preparing to unpack .../libsqlite3-0_3.11.0-1ubuntu1_amd64.deb ...
Unpacking libsqlite3-0:amd64 (3.11.0-1ubuntu1) ...
Selecting previously unselected package libssl1.0.0:amd64.
Preparing to unpack .../libssl1.0.0_1.0.2g-1ubuntu4.10_amd64.deb ...
Unpacking libssl1.0.0:amd64 (1.0.2g-1ubuntu4.10) ...
Selecting previously unselected package libpython2.7-stdlib:amd64.
Preparing to unpack .../libpython2.7-stdlib_2.7.12-1ubuntu0~16.04.3_amd64.deb ...
Unpacking libpython2.7-stdlib:amd64 (2.7.12-1ubuntu0~16.04.3) ...
Selecting previously unselected package python2.7.
Preparing to unpack .../python2.7_2.7.12-1ubuntu0~16.04.3_amd64.deb ...
Unpacking python2.7 (2.7.12-1ubuntu0~16.04.3) ...
Selecting previously unselected package libpython-stdlib:amd64.
Preparing to unpack .../libpython-stdlib_2.7.12-1~16.04_amd64.deb ...
Unpacking libpython-stdlib:amd64 (2.7.12-1~16.04) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Setting up libpython2.7-minimal:amd64 (2.7.12-1ubuntu0~16.04.3) ...
Setting up python2.7-minimal (2.7.12-1ubuntu0~16.04.3) ...
Linking and byte-compiling packages for runtime python2.7...
Setting up python-minimal (2.7.12-1~16.04) ...
Selecting previously unselected package python.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 5579 files and directories currently installed.)
Preparing to unpack .../python_2.7.12-1~16.04_amd64.deb ...
Unpacking python (2.7.12-1~16.04) ...
Selecting previously unselected package openssl.
Preparing to unpack .../openssl_1.0.2g-1ubuntu4.10_amd64.deb ...
Unpacking openssl (1.0.2g-1ubuntu4.10) ...
Selecting previously unselected package ca-certificates.
Preparing to unpack .../ca-certificates_20170717~16.04.1_all.deb ...
Unpacking ca-certificates (20170717~16.04.1) ...
Selecting previously unselected package python-pip-whl.
Preparing to unpack .../python-pip-whl_8.1.1-2ubuntu0.4_all.deb ...
Unpacking python-pip-whl (8.1.1-2ubuntu0.4) ...
Selecting previously unselected package python-pip.
Preparing to unpack .../python-pip_8.1.1-2ubuntu0.4_all.deb ...
Unpacking python-pip (8.1.1-2ubuntu0.4) ...
Setting up mime-support (3.59ubuntu1) ...
Setting up libexpat1:amd64 (2.1.0-7ubuntu0.16.04.3) ...
Setting up libffi6:amd64 (3.2.1-4) ...
Setting up libsqlite3-0:amd64 (3.11.0-1ubuntu1) ...
Setting up libssl1.0.0:amd64 (1.0.2g-1ubuntu4.10) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
debconf: falling back to frontend: Teletype
Setting up libpython2.7-stdlib:amd64 (2.7.12-1ubuntu0~16.04.3) ...
Setting up python2.7 (2.7.12-1ubuntu0~16.04.3) ...
Setting up libpython-stdlib:amd64 (2.7.12-1~16.04) ...
Setting up python (2.7.12-1~16.04) ...
Setting up openssl (1.0.2g-1ubuntu4.10) ...
Setting up ca-certificates (20170717~16.04.1) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
debconf: falling back to frontend: Teletype
Setting up python-pip-whl (8.1.1-2ubuntu0.4) ...
Setting up python-pip (8.1.1-2ubuntu0.4) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for ca-certificates (20170717~16.04.1) ...
Updating certificates in /etc/ssl/certs...
148 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...
done.
Collecting pip
  Downloading pip-9.0.1-py2.py3-none-any.whl (1.3MB)
Installing collected packages: pip
  Found existing installation: pip 8.1.1
    Not uninstalling pip at /usr/lib/python2.7/dist-packages, outside environment /usr
Successfully installed pip-9.0.1
Collecting setuptools
  Downloading setuptools-38.5.1-py2.py3-none-any.whl (489kB)
Installing collected packages: setuptools
Successfully installed setuptools-38.5.1
Collecting six
  Downloading six-1.11.0-py2.py3-none-any.whl
Installing collected packages: six
Successfully installed six-1.11.0
Collecting nmrml2isa==0.3.0
  Downloading nmrml2isa-0.3.0.tar.gz (53kB)
Collecting lxml (from nmrml2isa==0.3.0)
  Downloading lxml-4.1.1-cp27-cp27mu-manylinux1_x86_64.whl (5.6MB)
Collecting pronto (from nmrml2isa==0.3.0)
  Downloading pronto-0.10.2-py2.py3-none-any.whl
Collecting chainmap (from nmrml2isa==0.3.0)
  Downloading chainmap-1.0.2-py2.py3-none-any.whl
Requirement already satisfied: six in /usr/local/lib/python2.7/dist-packages (from pronto->nmrml2isa==0.3.0)
Installing collected packages: lxml, pronto, chainmap, nmrml2isa
  Running setup.py install for nmrml2isa: started
    Running setup.py install for nmrml2isa: finished with status 'done'
Successfully installed chainmap-1.0.2 lxml-4.1.1 nmrml2isa-0.3.0 pronto-0.10.2
Uninstalling pip-9.0.1:
  Successfully uninstalled pip-9.0.1
You are using pip version 8.1.1, however version 9.0.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  ca-certificates libexpat1 libffi6 libpython-stdlib libpython2.7-minimal
  libpython2.7-stdlib libsqlite3-0 libssl1.0.0 mime-support openssl python
  python-minimal python-pip-whl python2.7 python2.7-minimal
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  python-pip*
0 upgraded, 0 newly installed, 1 to remove and 21 not upgraded.
After this operation, 635 kB disk space will be freed.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 6036 files and directories currently installed.)
Removing python-pip (8.1.1-2ubuntu0.4) ...
Reading package lists...
Building dependency tree...
Reading state information...
python is already the newest version (2.7.12-1~16.04).
python set to manually installed.
The following packages were automatically installed and are no longer required:
  ca-certificates openssl python-pip-whl
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 21 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
The following packages will be REMOVED:
  ca-certificates openssl python-pip-whl
0 upgraded, 0 newly installed, 3 to remove and 21 not upgraded.
After this operation, 2612 kB disk space will be freed.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 5932 files and directories currently installed.)
Removing python-pip-whl (8.1.1-2ubuntu0.4) ...
Removing ca-certificates (20170717~16.04.1) ...
Removing dangling symlinks from /etc/ssl/certs... done.
Removing openssl (1.0.2g-1ubuntu4.10) ...
 ---> f22630b3cc53
Removing intermediate container 183a112af12e
Step 12/16 : ENV WRAPPER_REVISION 4c85371042feda978278498f25ae89d6582a5aee
 ---> Running in fd13ee1b0dea
 ---> 3fa6a960ee48
Removing intermediate container fd13ee1b0dea
Step 13/16 : RUN apt-get -y update && apt-get -y install --no-install-recommends curl zip unzip &&     curl https://raw.githubusercontent.com/ISA-tools/nmrml2isa-galaxy/$WRAPPER_REVISION/galaxy/nmrml2isa/wrapper.py -o /usr/local/bin/wrapper.py &&     curl https://raw.githubusercontent.com/ISA-tools/nmrml2isa-galaxy/$WRAPPER_REVISION/galaxy/nmrml2isa/pub_role.loc -o /usr/local/bin/pub_role.loc &&     curl https://raw.githubusercontent.com/ISA-tools/nmrml2isa-galaxy/$WRAPPER_REVISION/galaxy/nmrml2isa/pub_role.loc -o /usr/local/bin/pub_status.loc &&     chmod a+x /usr/local/bin/wrapper.py &&     apt-get purge -y curl &&     apt-get autoremove -y && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
 ---> Running in 509b8b12e1ad
Get:1 http://archive.ubuntu.com/ubuntu xenial InRelease [247 kB]
Get:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Get:5 http://archive.ubuntu.com/ubuntu xenial/universe Sources [9802 kB]
Get:6 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1558 kB]
Get:7 http://archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [14.1 kB]
Get:8 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [9827 kB]
Get:9 http://security.ubuntu.com/ubuntu xenial-security/universe Sources [72.8 kB]
Get:10 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [584 kB]
Get:11 http://security.ubuntu.com/ubuntu xenial-security/restricted amd64 Packages [12.7 kB]
Get:12 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [403 kB]
Get:13 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [3486 B]
Get:14 http://archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [176 kB]
Get:15 http://archive.ubuntu.com/ubuntu xenial-updates/universe Sources [240 kB]
Get:16 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [951 kB]
Get:17 http://archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [13.1 kB]
Get:18 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [760 kB]
Get:19 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [18.5 kB]
Get:20 http://archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [5153 B]
Get:21 http://archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [7172 B]
Fetched 25.0 MB in 2s (12.2 MB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  libasn1-8-heimdal libcurl3-gnutls libgmp10 libgnutls30 libgssapi-krb5-2
  libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal
  libheimntlm0-heimdal libhogweed4 libhx509-5-heimdal libidn11 libk5crypto3
  libkeyutils1 libkrb5-26-heimdal libkrb5-3 libkrb5support0 libldap-2.4-2
  libnettle6 libp11-kit0 libroken18-heimdal librtmp1 libsasl2-2
  libsasl2-modules-db libtasn1-6 libwind0-heimdal
Suggested packages:
  gnutls-bin krb5-doc krb5-user
Recommended packages:
  ca-certificates krb5-locales libsasl2-modules
The following NEW packages will be installed:
  curl libasn1-8-heimdal libcurl3-gnutls libgmp10 libgnutls30 libgssapi-krb5-2
  libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal
  libheimntlm0-heimdal libhogweed4 libhx509-5-heimdal libidn11 libk5crypto3
  libkeyutils1 libkrb5-26-heimdal libkrb5-3 libkrb5support0 libldap-2.4-2
  libnettle6 libp11-kit0 libroken18-heimdal librtmp1 libsasl2-2
  libsasl2-modules-db libtasn1-6 libwind0-heimdal unzip zip
0 upgraded, 29 newly installed, 0 to remove and 21 not upgraded.
Need to get 3442 kB of archives.
After this operation, 11.2 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 libgmp10 amd64 2:6.1.0+dfsg-2 [240 kB]
Get:2 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libnettle6 amd64 3.2-1ubuntu0.16.04.1 [93.5 kB]
Get:3 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libhogweed4 amd64 3.2-1ubuntu0.16.04.1 [136 kB]
Get:4 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libidn11 amd64 1.32-3ubuntu1.2 [46.5 kB]
Get:5 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libp11-kit0 amd64 0.23.2-5~ubuntu16.04.1 [105 kB]
Get:6 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libtasn1-6 amd64 4.7-3ubuntu0.16.04.3 [43.5 kB]
Get:7 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libgnutls30 amd64 3.4.10-4ubuntu1.4 [548 kB]
Get:8 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libroken18-heimdal amd64 1.7~git20150920+dfsg-4ubuntu1.16.04.1 [41.4 kB]
Get:9 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libasn1-8-heimdal amd64 1.7~git20150920+dfsg-4ubuntu1.16.04.1 [174 kB]
Get:10 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libkrb5support0 amd64 1.13.2+dfsg-5ubuntu2 [30.8 kB]
Get:11 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libk5crypto3 amd64 1.13.2+dfsg-5ubuntu2 [81.2 kB]
Get:12 http://archive.ubuntu.com/ubuntu xenial/main amd64 libkeyutils1 amd64 1.5.9-8ubuntu1 [9904 B]
Get:13 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libkrb5-3 amd64 1.13.2+dfsg-5ubuntu2 [273 kB]
Get:14 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libgssapi-krb5-2 amd64 1.13.2+dfsg-5ubuntu2 [120 kB]
Get:15 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libhcrypto4-heimdal amd64 1.7~git20150920+dfsg-4ubuntu1.16.04.1 [85.0 kB]
Get:16 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libheimbase1-heimdal amd64 1.7~git20150920+dfsg-4ubuntu1.16.04.1 [29.3 kB]
Get:17 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libwind0-heimdal amd64 1.7~git20150920+dfsg-4ubuntu1.16.04.1 [47.8 kB]
Get:18 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libhx509-5-heimdal amd64 1.7~git20150920+dfsg-4ubuntu1.16.04.1 [107 kB]
Get:19 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libkrb5-26-heimdal amd64 1.7~git20150920+dfsg-4ubuntu1.16.04.1 [202 kB]
Get:20 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libheimntlm0-heimdal amd64 1.7~git20150920+dfsg-4ubuntu1.16.04.1 [15.1 kB]
Get:21 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libgssapi3-heimdal amd64 1.7~git20150920+dfsg-4ubuntu1.16.04.1 [96.1 kB]
Get:22 http://archive.ubuntu.com/ubuntu xenial/main amd64 libsasl2-modules-db amd64 2.1.26.dfsg1-14build1 [14.5 kB]
Get:23 http://archive.ubuntu.com/ubuntu xenial/main amd64 libsasl2-2 amd64 2.1.26.dfsg1-14build1 [48.7 kB]
Get:24 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libldap-2.4-2 amd64 2.4.42+dfsg-2ubuntu3.2 [160 kB]
Get:25 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 librtmp1 amd64 2.4+20151223.gitfa8646d-1ubuntu0.1 [54.4 kB]
Get:26 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libcurl3-gnutls amd64 7.47.0-1ubuntu2.6 [184 kB]
Get:27 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 curl amd64 7.47.0-1ubuntu2.6 [138 kB]
Get:28 http://archive.ubuntu.com/ubuntu xenial/main amd64 unzip amd64 6.0-20ubuntu1 [158 kB]
Get:29 http://archive.ubuntu.com/ubuntu xenial/main amd64 zip amd64 3.0-11 [158 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 3442 kB in 2s (1291 kB/s)
Selecting previously unselected package libgmp10:amd64.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 5643 files and directories currently installed.)
Preparing to unpack .../libgmp10_2%3a6.1.0+dfsg-2_amd64.deb ...
Unpacking libgmp10:amd64 (2:6.1.0+dfsg-2) ...
Selecting previously unselected package libnettle6:amd64.
Preparing to unpack .../libnettle6_3.2-1ubuntu0.16.04.1_amd64.deb ...
Unpacking libnettle6:amd64 (3.2-1ubuntu0.16.04.1) ...
Selecting previously unselected package libhogweed4:amd64.
Preparing to unpack .../libhogweed4_3.2-1ubuntu0.16.04.1_amd64.deb ...
Unpacking libhogweed4:amd64 (3.2-1ubuntu0.16.04.1) ...
Selecting previously unselected package libidn11:amd64.
Preparing to unpack .../libidn11_1.32-3ubuntu1.2_amd64.deb ...
Unpacking libidn11:amd64 (1.32-3ubuntu1.2) ...
Selecting previously unselected package libp11-kit0:amd64.
Preparing to unpack .../libp11-kit0_0.23.2-5~ubuntu16.04.1_amd64.deb ...
Unpacking libp11-kit0:amd64 (0.23.2-5~ubuntu16.04.1) ...
Selecting previously unselected package libtasn1-6:amd64.
Preparing to unpack .../libtasn1-6_4.7-3ubuntu0.16.04.3_amd64.deb ...
Unpacking libtasn1-6:amd64 (4.7-3ubuntu0.16.04.3) ...
Selecting previously unselected package libgnutls30:amd64.
Preparing to unpack .../libgnutls30_3.4.10-4ubuntu1.4_amd64.deb ...
Unpacking libgnutls30:amd64 (3.4.10-4ubuntu1.4) ...
Selecting previously unselected package libroken18-heimdal:amd64.
Preparing to unpack .../libroken18-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_amd64.deb ...
Unpacking libroken18-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Selecting previously unselected package libasn1-8-heimdal:amd64.
Preparing to unpack .../libasn1-8-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_amd64.deb ...
Unpacking libasn1-8-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Selecting previously unselected package libkrb5support0:amd64.
Preparing to unpack .../libkrb5support0_1.13.2+dfsg-5ubuntu2_amd64.deb ...
Unpacking libkrb5support0:amd64 (1.13.2+dfsg-5ubuntu2) ...
Selecting previously unselected package libk5crypto3:amd64.
Preparing to unpack .../libk5crypto3_1.13.2+dfsg-5ubuntu2_amd64.deb ...
Unpacking libk5crypto3:amd64 (1.13.2+dfsg-5ubuntu2) ...
Selecting previously unselected package libkeyutils1:amd64.
Preparing to unpack .../libkeyutils1_1.5.9-8ubuntu1_amd64.deb ...
Unpacking libkeyutils1:amd64 (1.5.9-8ubuntu1) ...
Selecting previously unselected package libkrb5-3:amd64.
Preparing to unpack .../libkrb5-3_1.13.2+dfsg-5ubuntu2_amd64.deb ...
Unpacking libkrb5-3:amd64 (1.13.2+dfsg-5ubuntu2) ...
Selecting previously unselected package libgssapi-krb5-2:amd64.
Preparing to unpack .../libgssapi-krb5-2_1.13.2+dfsg-5ubuntu2_amd64.deb ...
Unpacking libgssapi-krb5-2:amd64 (1.13.2+dfsg-5ubuntu2) ...
Selecting previously unselected package libhcrypto4-heimdal:amd64.
Preparing to unpack .../libhcrypto4-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_amd64.deb ...
Unpacking libhcrypto4-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Selecting previously unselected package libheimbase1-heimdal:amd64.
Preparing to unpack .../libheimbase1-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_amd64.deb ...
Unpacking libheimbase1-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Selecting previously unselected package libwind0-heimdal:amd64.
Preparing to unpack .../libwind0-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_amd64.deb ...
Unpacking libwind0-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Selecting previously unselected package libhx509-5-heimdal:amd64.
Preparing to unpack .../libhx509-5-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_amd64.deb ...
Unpacking libhx509-5-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Selecting previously unselected package libkrb5-26-heimdal:amd64.
Preparing to unpack .../libkrb5-26-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_amd64.deb ...
Unpacking libkrb5-26-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Selecting previously unselected package libheimntlm0-heimdal:amd64.
Preparing to unpack .../libheimntlm0-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_amd64.deb ...
Unpacking libheimntlm0-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Selecting previously unselected package libgssapi3-heimdal:amd64.
Preparing to unpack .../libgssapi3-heimdal_1.7~git20150920+dfsg-4ubuntu1.16.04.1_amd64.deb ...
Unpacking libgssapi3-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Selecting previously unselected package libsasl2-modules-db:amd64.
Preparing to unpack .../libsasl2-modules-db_2.1.26.dfsg1-14build1_amd64.deb ...
Unpacking libsasl2-modules-db:amd64 (2.1.26.dfsg1-14build1) ...
Selecting previously unselected package libsasl2-2:amd64.
Preparing to unpack .../libsasl2-2_2.1.26.dfsg1-14build1_amd64.deb ...
Unpacking libsasl2-2:amd64 (2.1.26.dfsg1-14build1) ...
Selecting previously unselected package libldap-2.4-2:amd64.
Preparing to unpack .../libldap-2.4-2_2.4.42+dfsg-2ubuntu3.2_amd64.deb ...
Unpacking libldap-2.4-2:amd64 (2.4.42+dfsg-2ubuntu3.2) ...
Selecting previously unselected package librtmp1:amd64.
Preparing to unpack .../librtmp1_2.4+20151223.gitfa8646d-1ubuntu0.1_amd64.deb ...
Unpacking librtmp1:amd64 (2.4+20151223.gitfa8646d-1ubuntu0.1) ...
Selecting previously unselected package libcurl3-gnutls:amd64.
Preparing to unpack .../libcurl3-gnutls_7.47.0-1ubuntu2.6_amd64.deb ...
Unpacking libcurl3-gnutls:amd64 (7.47.0-1ubuntu2.6) ...
Selecting previously unselected package curl.
Preparing to unpack .../curl_7.47.0-1ubuntu2.6_amd64.deb ...
Unpacking curl (7.47.0-1ubuntu2.6) ...
Selecting previously unselected package unzip.
Preparing to unpack .../unzip_6.0-20ubuntu1_amd64.deb ...
Unpacking unzip (6.0-20ubuntu1) ...
Selecting previously unselected package zip.
Preparing to unpack .../archives/zip_3.0-11_amd64.deb ...
Unpacking zip (3.0-11) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Setting up libgmp10:amd64 (2:6.1.0+dfsg-2) ...
Setting up libnettle6:amd64 (3.2-1ubuntu0.16.04.1) ...
Setting up libhogweed4:amd64 (3.2-1ubuntu0.16.04.1) ...
Setting up libidn11:amd64 (1.32-3ubuntu1.2) ...
Setting up libp11-kit0:amd64 (0.23.2-5~ubuntu16.04.1) ...
Setting up libtasn1-6:amd64 (4.7-3ubuntu0.16.04.3) ...
Setting up libgnutls30:amd64 (3.4.10-4ubuntu1.4) ...
Setting up libroken18-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Setting up libasn1-8-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Setting up libkrb5support0:amd64 (1.13.2+dfsg-5ubuntu2) ...
Setting up libk5crypto3:amd64 (1.13.2+dfsg-5ubuntu2) ...
Setting up libkeyutils1:amd64 (1.5.9-8ubuntu1) ...
Setting up libkrb5-3:amd64 (1.13.2+dfsg-5ubuntu2) ...
Setting up libgssapi-krb5-2:amd64 (1.13.2+dfsg-5ubuntu2) ...
Setting up libhcrypto4-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Setting up libheimbase1-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Setting up libwind0-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Setting up libhx509-5-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Setting up libkrb5-26-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Setting up libheimntlm0-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Setting up libgssapi3-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Setting up libsasl2-modules-db:amd64 (2.1.26.dfsg1-14build1) ...
Setting up libsasl2-2:amd64 (2.1.26.dfsg1-14build1) ...
Setting up libldap-2.4-2:amd64 (2.4.42+dfsg-2ubuntu3.2) ...
Setting up librtmp1:amd64 (2.4+20151223.gitfa8646d-1ubuntu0.1) ...
Setting up libcurl3-gnutls:amd64 (7.47.0-1ubuntu2.6) ...
Setting up curl (7.47.0-1ubuntu2.6) ...
Setting up unzip (6.0-20ubuntu1) ...
Setting up zip (3.0-11) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100 12807  100 12807    0     0  53912      0 --:--:-- --:--:-- --:--:-- 54037
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100  1781  100  1781    0     0   8484      0 --:--:-- --:--:-- --:--:--  8521
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100  1781  100  1781    0     0  15706      0 --:--:-- --:--:-- --:--:-- 15761
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  libasn1-8-heimdal libcurl3-gnutls libgmp10 libgnutls30 libgssapi-krb5-2
  libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal
  libheimntlm0-heimdal libhogweed4 libhx509-5-heimdal libidn11 libk5crypto3
  libkeyutils1 libkrb5-26-heimdal libkrb5-3 libkrb5support0 libldap-2.4-2
  libnettle6 libp11-kit0 libroken18-heimdal librtmp1 libsasl2-2
  libsasl2-modules-db libtasn1-6 libwind0-heimdal
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  curl*
0 upgraded, 0 newly installed, 1 to remove and 21 not upgraded.
After this operation, 339 kB disk space will be freed.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 5861 files and directories currently installed.)
Removing curl (7.47.0-1ubuntu2.6) ...
Reading package lists...
Building dependency tree...
Reading state information...
The following packages will be REMOVED:
  libasn1-8-heimdal libcurl3-gnutls libgmp10 libgnutls30 libgssapi-krb5-2
  libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal
  libheimntlm0-heimdal libhogweed4 libhx509-5-heimdal libidn11 libk5crypto3
  libkeyutils1 libkrb5-26-heimdal libkrb5-3 libkrb5support0 libldap-2.4-2
  libnettle6 libp11-kit0 libroken18-heimdal librtmp1 libsasl2-2
  libsasl2-modules-db libtasn1-6 libwind0-heimdal
0 upgraded, 0 newly installed, 26 to remove and 21 not upgraded.
After this operation, 9738 kB disk space will be freed.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 5854 files and directories currently installed.)
Removing libcurl3-gnutls:amd64 (7.47.0-1ubuntu2.6) ...
Removing libldap-2.4-2:amd64 (2.4.42+dfsg-2ubuntu3.2) ...
Removing libgssapi3-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Removing libheimntlm0-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Removing libkrb5-26-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Removing libhx509-5-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Removing librtmp1:amd64 (2.4+20151223.gitfa8646d-1ubuntu0.1) ...
Removing libgnutls30:amd64 (3.4.10-4ubuntu1.4) ...
Removing libhogweed4:amd64 (3.2-1ubuntu0.16.04.1) ...
Removing libgmp10:amd64 (2:6.1.0+dfsg-2) ...
Removing libgssapi-krb5-2:amd64 (1.13.2+dfsg-5ubuntu2) ...
Removing libhcrypto4-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Removing libheimbase1-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Removing libidn11:amd64 (1.32-3ubuntu1.2) ...
Removing libkrb5-3:amd64 (1.13.2+dfsg-5ubuntu2) ...
Removing libk5crypto3:amd64 (1.13.2+dfsg-5ubuntu2) ...
Removing libkeyutils1:amd64 (1.5.9-8ubuntu1) ...
Removing libkrb5support0:amd64 (1.13.2+dfsg-5ubuntu2) ...
Removing libnettle6:amd64 (3.2-1ubuntu0.16.04.1) ...
Removing libp11-kit0:amd64 (0.23.2-5~ubuntu16.04.1) ...
Removing libwind0-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Removing libsasl2-2:amd64 (2.1.26.dfsg1-14build1) ...
Removing libsasl2-modules-db:amd64 (2.1.26.dfsg1-14build1) ...
Removing libtasn1-6:amd64 (4.7-3ubuntu0.16.04.3) ...
Removing libasn1-8-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Removing libroken18-heimdal:amd64 (1.7~git20150920+dfsg-4ubuntu1.16.04.1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
 ---> 3a6f1e828b22
Removing intermediate container 509b8b12e1ad
Step 14/16 : ADD runTest1.sh /usr/local/bin/runTest1.sh
 ---> 559556982b9e
Removing intermediate container 67fa6de0a873
Step 15/16 : RUN chmod +x /usr/local/bin/runTest1.sh
 ---> Running in 0b4ac0bdd6ad
 ---> b01168a10b17
Removing intermediate container 0b4ac0bdd6ad
Step 16/16 : ENTRYPOINT nmrml2isa
 ---> Running in c52219dbed26
 ---> 817dfa7428a1
Removing intermediate container c52219dbed26
Successfully built 817dfa7428a1
Successfully tagged docker-registry-v2.local:30750/phnmnl/nmrml2isa:v0.3.0_cv0.2.12
[container-nmrml2isa] $ docker tag 817dfa7428a1 docker-registry-v2.local:30750/phnmnl/nmrml2isa:latest
[container-nmrml2isa] $ docker inspect 817dfa7428a1
[container-nmrml2isa] $ /bin/bash -xe /tmp/jenkins5549667639862842021.sh
+ wget -O test-built-container https://raw.githubusercontent.com/phnmnl/jenkins-scripts/master/test-built-container
--2018-02-26 21:52:13--  https://raw.githubusercontent.com/phnmnl/jenkins-scripts/master/test-built-container
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.0.133, 151.101.64.133, 151.101.128.133, ...
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.0.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2760 (2.7K) [text/plain]
Saving to: ‘test-built-container’

     0K ..                                                    100% 25.6M=0s

2018-02-26 21:52:13 (25.6 MB/s) - ‘test-built-container’ saved [2760/2760]

+ bash test-built-container docker-registry-v2.local:30750/phnmnl/nmrml2isa
/usr/local/bin/nmrml2isa
/usr/local/bin/runTest1.sh
[container-nmrml2isa] $ docker tag ${CONTAINER_REGISTRY}/phnmnl/${CONTAINER} docker-registry-v2.local:30750/phnmnl/nmrml2isa:v0.3.0_cv0.2.12
[container-nmrml2isa] $ docker tag ${CONTAINER_REGISTRY}/phnmnl/${CONTAINER} docker-registry-v2.local:30750/phnmnl/nmrml2isa:latest
[container-nmrml2isa] $ docker push docker-registry-v2.local:30750/phnmnl/nmrml2isa:v0.3.0_cv0.2.12
The push refers to a repository [docker-registry-v2.local:30750/phnmnl/nmrml2isa]
5ea43d977bb3: Preparing
338c3c5e174f: Preparing
e156e9ba2a26: Preparing
71886ee032a0: Preparing
6f4ce6b88849: Preparing
92914665e7f6: Preparing
c98ef191df4b: Preparing
9c7183e0ea88: Preparing
ff986b10a018: Preparing
92914665e7f6: Waiting
c98ef191df4b: Waiting
9c7183e0ea88: Waiting
ff986b10a018: Waiting
6f4ce6b88849: Mounted from phnmnl/batch_correction
92914665e7f6: Mounted from phnmnl/batch_correction
c98ef191df4b: Mounted from phnmnl/batch_correction
5ea43d977bb3: Pushed
e156e9ba2a26: Pushed
9c7183e0ea88: Mounted from phnmnl/batch_correction
338c3c5e174f: Pushed
ff986b10a018: Mounted from phnmnl/batch_correction
71886ee032a0: Pushed
v0.3.0_cv0.2.12: digest: sha256:a18c93787d2a219b57b3104e29d26449c671a62f015f4502bf3a1f2afeb631b6 size: 2193
[container-nmrml2isa] $ docker push docker-registry-v2.local:30750/phnmnl/nmrml2isa:latest
The push refers to a repository [docker-registry-v2.local:30750/phnmnl/nmrml2isa]
5ea43d977bb3: Preparing
338c3c5e174f: Preparing
e156e9ba2a26: Preparing
71886ee032a0: Preparing
6f4ce6b88849: Preparing
92914665e7f6: Preparing
c98ef191df4b: Preparing
9c7183e0ea88: Preparing
ff986b10a018: Preparing
c98ef191df4b: Waiting
9c7183e0ea88: Waiting
ff986b10a018: Waiting
92914665e7f6: Waiting
6f4ce6b88849: Layer already exists
5ea43d977bb3: Layer already exists
e156e9ba2a26: Layer already exists
71886ee032a0: Layer already exists
338c3c5e174f: Layer already exists
c98ef191df4b: Layer already exists
ff986b10a018: Layer already exists
92914665e7f6: Layer already exists
9c7183e0ea88: Layer already exists
latest: digest: sha256:a18c93787d2a219b57b3104e29d26449c671a62f015f4502bf3a1f2afeb631b6 size: 2193
Strings match run condition: string 1=[origin/master], string 2=[origin/master]
Run condition [Strings match] enabling perform for step [BuilderChain]
[container-nmrml2isa] $ docker build -t biocontainers/nmrml2isa:phenomenal-v0.3.0_cv0.2.12 /home/ubuntu/workspace/container-nmrml2isa
Sending build context to Docker daemon  185.3kB

Step 1/16 : FROM ubuntu:16.04
 ---> 0458a4468cbc
Step 2/16 : LABEL maintainer "PhenoMeNal-H2020 Project (phenomenal-h2020-users@googlegroups.com)"
 ---> Using cache
 ---> 3735aa67a1fc
Step 3/16 : LABEL version 0.2
 ---> Using cache
 ---> 03480eee4a73
Step 4/16 : LABEL software nmrml2isa
 ---> Using cache
 ---> 6f24f2077492
Step 5/16 : LABEL software.version 0.3.0
 ---> Using cache
 ---> f4608ca4ebdc
Step 6/16 : LABEL description "Creates ISA metadata files based on a collection of nmrML files."
 ---> Using cache
 ---> a36e58db1c66
Step 7/16 : LABEL website "https://github.com/isa-tools/nmrml2isa"
 ---> Using cache
 ---> 48d8398da40e
Step 8/16 : LABEL documentation "https://github.com/isa-tools/nmrml2isa-galaxy"
 ---> Using cache
 ---> 5a4b707be751
Step 9/16 : LABEL license "https://github.com/ISA-tools/nmrml2isa/blob/master/LICENSE"
 ---> Using cache
 ---> 987dcdee6d00
Step 10/16 : LABEL tags "Metabolomics"
 ---> Using cache
 ---> d2051a51e95f
Step 11/16 : RUN apt-get -y update && apt-get -y install --no-install-recommends python-pip &&     pip install --upgrade pip && pip install -U setuptools && pip install six &&     pip install nmrml2isa==0.3.0 &&     pip uninstall -y pip &&     apt-get purge -y python-pip &&     apt-get install --no-install-recommends python &&     apt-get autoremove -y && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
 ---> Using cache
 ---> f22630b3cc53
Step 12/16 : ENV WRAPPER_REVISION 4c85371042feda978278498f25ae89d6582a5aee
 ---> Using cache
 ---> 3fa6a960ee48
Step 13/16 : RUN apt-get -y update && apt-get -y install --no-install-recommends curl zip unzip &&     curl https://raw.githubusercontent.com/ISA-tools/nmrml2isa-galaxy/$WRAPPER_REVISION/galaxy/nmrml2isa/wrapper.py -o /usr/local/bin/wrapper.py &&     curl https://raw.githubusercontent.com/ISA-tools/nmrml2isa-galaxy/$WRAPPER_REVISION/galaxy/nmrml2isa/pub_role.loc -o /usr/local/bin/pub_role.loc &&     curl https://raw.githubusercontent.com/ISA-tools/nmrml2isa-galaxy/$WRAPPER_REVISION/galaxy/nmrml2isa/pub_role.loc -o /usr/local/bin/pub_status.loc &&     chmod a+x /usr/local/bin/wrapper.py &&     apt-get purge -y curl &&     apt-get autoremove -y && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
 ---> Using cache
 ---> 3a6f1e828b22
Step 14/16 : ADD runTest1.sh /usr/local/bin/runTest1.sh
 ---> Using cache
 ---> 559556982b9e
Step 15/16 : RUN chmod +x /usr/local/bin/runTest1.sh
 ---> Using cache
 ---> b01168a10b17
Step 16/16 : ENTRYPOINT nmrml2isa
 ---> Using cache
 ---> 817dfa7428a1
Successfully built 817dfa7428a1
Successfully tagged biocontainers/nmrml2isa:phenomenal-v0.3.0_cv0.2.12
[container-nmrml2isa] $ docker tag 817dfa7428a1 biocontainers/nmrml2isa:latest
[container-nmrml2isa] $ docker push biocontainers/nmrml2isa:phenomenal-v0.3.0_cv0.2.12
The push refers to a repository [docker.io/biocontainers/nmrml2isa]
5ea43d977bb3: Preparing
338c3c5e174f: Preparing
e156e9ba2a26: Preparing
71886ee032a0: Preparing
6f4ce6b88849: Preparing
92914665e7f6: Preparing
c98ef191df4b: Preparing
9c7183e0ea88: Preparing
ff986b10a018: Preparing
9c7183e0ea88: Waiting
c98ef191df4b: Waiting
ff986b10a018: Waiting
92914665e7f6: Waiting
6f4ce6b88849: Mounted from biocontainers/batch_correction
338c3c5e174f: Pushed
92914665e7f6: Mounted from biocontainers/batch_correction
c98ef191df4b: Mounted from biocontainers/batch_correction
5ea43d977bb3: Pushed
e156e9ba2a26: Pushed
9c7183e0ea88: Mounted from biocontainers/batch_correction
ff986b10a018: Mounted from biocontainers/batch_correction
71886ee032a0: Pushed
phenomenal-v0.3.0_cv0.2.12: digest: sha256:a18c93787d2a219b57b3104e29d26449c671a62f015f4502bf3a1f2afeb631b6 size: 2193
[container-nmrml2isa] $ docker push biocontainers/nmrml2isa:latest
The push refers to a repository [docker.io/biocontainers/nmrml2isa]
5ea43d977bb3: Preparing
338c3c5e174f: Preparing
e156e9ba2a26: Preparing
71886ee032a0: Preparing
6f4ce6b88849: Preparing
92914665e7f6: Preparing
c98ef191df4b: Preparing
9c7183e0ea88: Preparing
92914665e7f6: Waiting
c98ef191df4b: Waiting
ff986b10a018: Preparing
ff986b10a018: Waiting
9c7183e0ea88: Waiting
6f4ce6b88849: Layer already exists
e156e9ba2a26: Layer already exists
338c3c5e174f: Layer already exists
71886ee032a0: Layer already exists
5ea43d977bb3: Layer already exists
9c7183e0ea88: Layer already exists
92914665e7f6: Layer already exists
c98ef191df4b: Layer already exists
ff986b10a018: Layer already exists
latest: digest: sha256:a18c93787d2a219b57b3104e29d26449c671a62f015f4502bf3a1f2afeb631b6 size: 2193
Triggering a new build of test-container-nmrml2isa
Finished: SUCCESS